Bug 411173 - Empty "Date Photographed" column in details view mode
Summary: Empty "Date Photographed" column in details view mode
Status: RESOLVED FIXED
Alias: None
Product: dolphin
Classification: Applications
Component: view-engine: details mode (show other bugs)
Version: 18.08.0
Platform: Debian stable Linux
: NOR normal with 20 votes (vote)
Target Milestone: ---
Assignee: Dolphin Bug Assignee
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-08-22 14:35 UTC by megsvard
Modified: 2019-11-12 12:56 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 20.04


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description megsvard 2019-08-22 14:35:31 UTC
SUMMARY
When using "Details" view mode in Dolphin, the column "Date Photographed" is empty for JPEG files containing valid (non-empty) EXIF Date/Time data.

STEPS TO REPRODUCE
1. Open a directory containing JPEG files with non-empty EXIF "Date/Time" field
2. Set view mode to "Details"
3. Right-click on any detail column (e.g. "Name") and select "Image" > "Date Photographed"
 
OBSERVED RESULT
The detail column "Date Photographed" is empty

EXPECTED RESULT
The detail column "Date Photographed" should contain values for files with non-empty EXIF "Date/Time" field

SOFTWARE/OS VERSIONS
Operating System: Debian GNU/Linux 10
KDE Plasma Version: 5.14.5
Qt Version: 5.11.3
KDE Frameworks Version: 5.54.0
Kernel Version: 4.19.0-5-amd64
OS Type: 64-bit

ADDITIONAL INFORMATION
Comment 1 Christian Janoff 2019-09-09 16:02:40 UTC
I can confirm this bug.

KDE neon 5.16.4
Konsole Version: 19.08.1
KDE Frameworks: 5.62.0
Qt: 5.12.3

The following image has valid EXIF data including creation dates (though I'm not sure which would be the right one).

https://github.com/ianare/exif-samples/blob/master/jpg/Canon_40D.jpg

Verify with the "exiftool" command:

$ exiftool Canon_40D.jpg 
ExifTool Version Number         : 10.80
File Name                       : Canon_40D.jpg
Directory                       : .
File Size                       : 7.8 kB
File Modification Date/Time     : 2019:09:09 17:52:41+02:00
File Access Date/Time           : 2019:09:09 17:52:41+02:00
File Inode Change Date/Time     : 2019:09:09 17:52:41+02:00
File Permissions                : rw-rw-r--
File Type                       : JPEG
File Type Extension             : jpg
MIME Type                       : image/jpeg
JFIF Version                    : 1.01
Exif Byte Order                 : Little-endian (Intel, II)
Make                            : Canon
Camera Model Name               : Canon EOS 40D
Orientation                     : Horizontal (normal)
X Resolution                    : 72
Y Resolution                    : 72
Resolution Unit                 : inches
Software                        : GIMP 2.4.5
Modify Date                     : 2008:07:31 10:38:11
Y Cb Cr Positioning             : Co-sited
Exposure Time                   : 1/160
F Number                        : 7.1
Exposure Program                : Manual
ISO                             : 100
Exif Version                    : 0221
Date/Time Original              : 2008:05:30 15:56:01
Create Date                     : 2008:05:30 15:56:01
Components Configuration        : Y, Cb, Cr, -
Shutter Speed Value             : 1/166
Aperture Value                  : 7.0
Exposure Compensation           : 0
Metering Mode                   : Multi-segment
Flash                           : On, Fired
Focal Length                    : 135.0 mm
User Comment                    : 
Sub Sec Time                    : 00
Sub Sec Time Original           : 00
Sub Sec Time Digitized          : 00
Flashpix Version                : 0100
Color Space                     : sRGB
Exif Image Width                : 100
Exif Image Height               : 68
Interoperability Index          : R98 - DCF basic file (sRGB)
Interoperability Version        : 0100
Focal Plane X Resolution        : 4438.356164
Focal Plane Y Resolution        : 4445.969125
Focal Plane Resolution Unit     : inches
Custom Rendered                 : Normal
Exposure Mode                   : Manual
White Balance                   : Auto
Scene Capture Type              : Standard
GPS Version ID                  : 2.2.0.0
Compression                     : JPEG (old-style)
Thumbnail Offset                : 1120
Thumbnail Length                : 1378
Profile CMM Type                : Linotronic
Profile Version                 : 2.1.0
Profile Class                   : Display Device Profile
Color Space Data                : RGB
Profile Connection Space        : XYZ
Profile Date Time               : 1998:02:09 06:49:00
Profile File Signature          : acsp
Primary Platform                : Microsoft Corporation
CMM Flags                       : Not Embedded, Independent
Device Manufacturer             : Hewlett-Packard
Device Model                    : sRGB
Device Attributes               : Reflective, Glossy, Positive, Color
Rendering Intent                : Perceptual
Connection Space Illuminant     : 0.9642 1 0.82491
Profile Creator                 : Hewlett-Packard
Profile ID                      : 0
Profile Copyright               : Copyright (c) 1998 Hewlett-Packard Company
Profile Description             : sRGB IEC61966-2.1
Media White Point               : 0.95045 1 1.08905
Media Black Point               : 0 0 0
Red Matrix Column               : 0.43607 0.22249 0.01392
Green Matrix Column             : 0.38515 0.71687 0.09708
Blue Matrix Column              : 0.14307 0.06061 0.7141
Device Mfg Desc                 : IEC http://www.iec.ch
Device Model Desc               : IEC 61966-2.1 Default RGB colour space - sRGB
Viewing Cond Desc               : Reference Viewing Condition in IEC61966-2.1
Viewing Cond Illuminant         : 19.6445 20.3718 16.8089
Viewing Cond Surround           : 3.92889 4.07439 3.36179
Viewing Cond Illuminant Type    : D50
Luminance                       : 76.03647 80 87.12462
Measurement Observer            : CIE 1931
Measurement Backing             : 0 0 0
Measurement Geometry            : Unknown
Measurement Flare               : 0.999%
Measurement Illuminant          : D65
Technology                      : Cathode Ray Tube Display
Red Tone Reproduction Curve     : (Binary data 2060 bytes, use -b option to extract)
Green Tone Reproduction Curve   : (Binary data 2060 bytes, use -b option to extract)
Blue Tone Reproduction Curve    : (Binary data 2060 bytes, use -b option to extract)
Image Width                     : 100
Image Height                    : 68
Encoding Process                : Baseline DCT, Huffman coding
Bits Per Sample                 : 8
Color Components                : 3
Y Cb Cr Sub Sampling            : YCbCr4:4:4 (1 1)
Aperture                        : 7.1
Image Size                      : 100x68
Megapixels                      : 0.007
Scale Factor To 35 mm Equivalent: 1.6
Shutter Speed                   : 1/160
Create Date                     : 2008:05:30 15:56:01.00
Date/Time Original              : 2008:05:30 15:56:01.00
Modify Date                     : 2008:07:31 10:38:11.00
Thumbnail Image                 : (Binary data 1378 bytes, use -b option to extract)
Circle Of Confusion             : 0.019 mm
Field Of View                   : 9.4 deg
Focal Length                    : 135.0 mm (35 mm equivalent: 218.5 mm)
Hyperfocal Distance             : 138.30 m
Light Value                     : 13.0
Comment 2 Méven Car 2019-11-12 12:50:24 UTC
Git commit e2e43c907393c2d2cb8a50d4ade50eca5375c53f by Méven Car.
Committed on 12/11/2019 at 12:50.
Pushed by meven into branch 'master'.

Allow dolphin to format DateTime at later stage than KBalooRolesProvider

Summary:
KFileItemListWidgetInformant::roleText expected imageDateTime value to be a QDateTime but KBalooRolesProvider formatted it to QString previously, preventing KFileItemListWidgetInformant::roleText to format properly the imageDateTime

Reviewers: #dolphin, ngraham, elvisangelaccio

Reviewed By: #dolphin, ngraham

Subscribers: kfm-devel

Tags: #dolphin

Differential Revision: https://phabricator.kde.org/D25242

M  +6    -1    src/kitemviews/private/kbaloorolesprovider.cpp

https://commits.kde.org/dolphin/e2e43c907393c2d2cb8a50d4ade50eca5375c53f